Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038901
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2018-07-05 10:012018-07-05 14:34
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision6d2c0985043a
ProjectionnoneETAnoneTarget Version3.0PR18Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038901: JDK 11: jaxbl-impl library should be included in the classpath

DescriptionIn Java 11, some modules are removed from the standard distribution. See[1].

Some of these modules were required in Openbravo, so in order to support Java 11 they were included to be deployed on the classpath. See[2].

For the case of the jaxb-api library, it has been detected that some modules require to include also its implementation (jaxbl-impl). See[3]. The following error appears if the implementation is required and not present:

javax.xml.bind.JAXBException: Provider com.sun.xml.internal.bind.v2.ContextFactory not found
 - with linked exception:
[java.lang.ClassNotFoundException: com.sun.xml.internal.bind.v2.ContextFactory]
    at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java:148)
    at javax.xml.bind.ContextFinder.find(ContextFinder.java:371)
    at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:446)

Besides, this is also happening with the Hibernate upgrade: with Hibernate 5.3 the jaxbl-impl is required.


[1] http://openjdk.java.net/jeps/320 [^]
[2] https://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]
[3] https://ci.openbravo.com/job/try-ret-modules-oracle-suite1/11547/artifact/SANDBOX/tomcat-logs/catalina.2018-06-04.log/*view*/ [^]
Steps To ReproduceUse case 1:

1) Build openbravo with Hibernate 5.3 (https://code.openbravo.com/erp/devel/pi-hb53 [^]), using JDK8
2) Login as System Administrator
3) Install a module using the Module Management Console: the error will be thrown during the update.database task

Use case 2:
1) Build openbravo with Hibernate 5.3 (https://code.openbravo.com/erp/devel/pi-hb53 [^]), using JDK11
2) In this case, the build can not be completed, it will fail when executing the update.database task
 
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038869 closedcaristu JDK 11: jaxbl-impl library should be included in the classpath 

-  Notes
(0105617)
hgbot (developer)
2018-07-05 10:06

Repository: erp/backports/3.0PR18Q3
Changeset: 6d2c0985043a61044abd67b9411253246bc5614f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 05 10:05:43 2018 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3/rev/6d2c0985043a61044abd67b9411253246bc5614f [^]

fixes issue 38901: jaxbl-impl library should be included in the classpath

---
M legal/Licensing.txt
A lib/runtime/jaxb-impl-2.2.6.jar
---
(0105642)
alostale (developer)
2018-07-05 14:34

reviewed
tested with openjdk version "11-ea" 2018-09-25:
* MMC -> scan for updates, install and compile modules
* send email

- Issue History
Date Modified Username Field Change
2018-07-05 10:01 caristu New Issue
2018-07-05 10:01 caristu Assigned To => caristu
2018-07-05 10:01 caristu Modules => Core
2018-07-05 10:01 caristu Triggers an Emergency Pack => No
2018-07-05 10:01 caristu Issue generated from 0038869
2018-07-05 10:01 caristu Relationship added blocks 0038869
2018-07-05 10:06 hgbot Checkin
2018-07-05 10:06 hgbot Note Added: 0105617
2018-07-05 10:06 hgbot Status new => resolved
2018-07-05 10:06 hgbot Resolution open => fixed
2018-07-05 10:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q3/rev/6d2c0985043a61044abd67b9411253246bc5614f [^]
2018-07-05 10:06 caristu Review Assigned To => alostale
2018-07-05 14:34 alostale Note Added: 0105642
2018-07-05 14:34 alostale Status resolved => closed
2018-07-05 14:34 alostale Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker